List of all members
clan::PixelConverter Class Reference
clanDisplay Display

Low level pixel format converter class. More...

`#include <pixel_converter.h>`

## Public Member Functions
Construction
| PixelConverter ()
| Constructs a pixel format converter. More...
| ~PixelConverter ()
Attributes
bool | get_premultiply_alpha () const
| Returns the premultiply alpha setting. More...
bool | flip_vertical () const
| Returns the flip vertical setting. More...
float | get_gamma () const
| Returns the gamma setting. More...
Vec4i | get_swizzle () const
| Returns the input channel used for each output channel. More...
bool | get_input_is_ycrcb () const
| Returns the JPEG JFIF YCrCb input setting. More...
bool | get_output_is_ycrcb () const
| Returns the JPEG JFIF YCrCb output setting. More...
Operations
void | set_premultiply_alpha (bool enable)
| Set the premultiply alpha setting. More...
void | set_flip_vertical (bool enable)
| Set the flip vertical setting. More...
void | set_gamma (float gamma)
| Set the gamma applied when converting. More...
void | set_swizzle (int red_source, int green_source, int blue_source, int alpha_source)
| Set the input channel used for each output channel. More...
void | set_swizzle (const Vec4i &swizzle)
void | set_input_is_ycrcb (bool enable)
| Converts from JPEG JFIF YCrCb. More...
void | set_output_is_ycrcb (bool enable)
| Converts to JPEG JFIF YCrCb. More...
void | convert (void *output, int output_pitch, TextureFormat output_format, const void *input, int input_pitch, TextureFormat input_format, int width, int height)
| Convert some pixel data. More...

## Detailed Description

Low level pixel format converter class.

The documentation for this class was generated from the following file:

- pixel_converter.h